#
# spec file for package perl-libwww-perl (Version 5.53)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Digest-MD5 perl-HTML-Parser perl-MIME-Base64 perl-URI perl-libnet
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Digest-MD5 perl-HTML-Parser perl-MIME-Base64 perl-URI perl-libnet ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-libwww-perl
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Provides:     perl_lw3
Obsoletes:    perl_lw3
Version:      5.53
Release:      31
Provides:     libwww-perl
Requires:     perl-HTML-Parser perl-URI perl-MIME-Base64 perl-libnet perl-Digest-MD5
Summary:      Modules Providing API to WWW
URL:          http://www.ics.uci.edu/pub/websoft/libwww-perl/
Source:       libwww-perl-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
Libwww-perl is a collection of Perl modules which provides a simple
and consistent application programming interface (API) to the World-Wide Web.

Authors:
--------
    Gisle Aas <gisle@aas.no>
    Martijn Koster

SuSE series: perl

%prep
%setup -n libwww-perl-%{version}

%build
perl Makefile.PL
make
%ifarch ia64
rm t/robot/ua.t
rm t/local/http.t
%endif
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-libwww-perl
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/libwww-perl
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README README.SSL TODO
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
/usr/bin/*
%{perl_sitearch}/../Bundle/*
%{perl_sitearch}/../File/*
%{perl_sitearch}/../HTML/*
%{perl_sitearch}/../HTTP/*
%{perl_sitearch}/../LWP/*
%{perl_sitearch}/../WWW/*
%{perl_sitearch}/../Net/*
%{perl_sitearch}/../LWP.pm
%{perl_sitearch}/../lwpcook.pod
%{perl_sitearch}/auto/libwww-perl
/var/adm/perl-modules/perl-libwww-perl

%changelog -n perl-libwww-perl
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 5.53
* Fri Apr 20 2001 - cihlar@suse.cz
- on ia64 removed tests which starts and then connect
  server
* Mon Mar 26 2001 - cihlar@suse.cz
- added make test
* Wed Mar 14 2001 - cihlar@suse.cz
- update to version 5.50
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_lw3 -> perl-libwww-perl
* Thu Aug 24 2000 - cihlar@suse.cz
- updated to version 5.48
- bzipped sources
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Wed Jul 12 2000 - cihlar@suse.cz
- fixed bug with sort
* Mon Jun 19 2000 - ro@suse.de
-  fixed requires and neededforbuild
* Mon Jun 19 2000 - cihlar@suse.cz
- package created
